import delimited "${rawdata}TAPART_B.csv", clear 

*VI. PREÁMBULO ADOLESCENCIA APARTADO B
*¿Quién o quiénes estuvieron al cuidado de usted en esta etapa de su adolescencia? (Aunque no vivieran en la misma vivienda)
label variable p6_7_01 "Mamá le cuidó"
label variable p6_7_02 "Papá le cuidó"
label variable p6_7_03 "Abuela(s) le cuidó"
label variable p6_7_04 "Abuelo(s) le cuidó"
label variable p6_7_05 "Hermana(s) le cuidó"
label variable p6_7_06 "Hermano(s) le cuidó"
label variable p6_7_07 "Tía(s) le cuidó"
label variable p6_7_08 "Tío(s) le cuidó"
label variable p6_7_09 "Otro(s) familiar(es) le cuidó"
label variable p6_7_10 "Otro(s) no familiar(es) le cuidó"

label variable p6_8_1 "(adolescencia) ¿la comunicación que mantenía con su mamá..."
label variable p6_9a_1 "Usted le platicaba o contaba a (su mamá) sobre asuntos de la escuela (materias, calificaciones, maestros, tareas)..."
label variable p6_9b_1 "Usted le platicaba o contaba a (su mamá) de sus amigas o amigos..."
label variable p6_9c_1 "Usted le platicaba o contaba a (su mamá) cuando tenía un problema..."
label variable p6_9d_1 "Usted le platicaba o contaba a (su mamá) de las personas que le gustaban o atraían..."

label variable p6_8_2 "(adolescencia) ¿la comunicación que mantenía con su papá..."
label variable p6_9a_2 "Usted le platicaba o contaba a (su papá) sobre asuntos de la escuela (materias, calificaciones, maestros, tareas)..."
label variable p6_9b_2 "Usted le platicaba o contaba a (su papá) de sus amigas o amigos..."
label variable p6_9c_2 "Usted le platicaba o contaba a (su papá) cuando tenía un problema..."
label variable p6_9d_2 "Usted le platicaba o contaba a (su papá) de las personas que le gustaban o atraían..."

label variable p6_8_3 "(adolescencia) ¿la comunicación que mantenía con su(s) (RESPUESTA DE 6.7)..."
label variable p6_9a_3 "Usted le platicaba o contaba a (su(s) RESPUESTA DE 6.7) sobre asuntos de la escuela (materias, calificaciones, maestros, tareas)..."
label variable p6_9b_3 "Usted le platicaba o contaba a (su(s) RESPUESTA DE 6.7) de sus amigas o amigos..."
label variable p6_9c_3 "Usted le platicaba o contaba a (su(s) RESPUESTA DE 6.7) cuando tenía un problema..."
label variable p6_9d_3 "Usted le platicaba o contaba a (su(s) RESPUESTA DE 6.7) de las personas que le gustaban o atraían..."

*¿alguna vez le hicieron sentirse diferente a la mayoría de las(os) chicas(os)...
label variable p6_10_1 "(adolescencia) diferente por su forma de vestirse o arreglarse"
label variable p6_10_2 "(adolescencia) diferente por sus gustos o intereses"
label variable p6_10_3 "(adolescencia) diferente por su forma de hablar o expresarse"
label variable p6_10_4 "(adolescencia) diferente por sus modos o manera de comportarse"

*por molestarla(o) o hacerle sentir mal
label variable p6_11_1 "(adolescencia) le rechazaban o excluían de actividades sociales"
label variable p6_11_2 "(adolescencia) se burlaban o le decían cosas que le ofendían"
label variable p6_11_3 "(adolescencia) le robaban, escondían o rompían sus pertenencias"
label variable p6_11_4 "(adolescencia) le amenazaban o chantajeaban"
label variable p6_11_5 "(adolescencia) le empujaban, jaloneaban o golpeaban"

*De las siguientes personas, indique quién o quiénes le hablaron u orientaron sobre temas de sexualidad:
label variable p6_12_1 "Mamá le habló u orientó sobre temas de sexualidad"
label variable p6_12_2 "Papá le habló u orientó sobre temas de sexualidad"
label variable p6_12_3 "Hermana(s), hermano(s) le habló u orientó sobre temas de sexualidad"
label variable p6_12_4 "Oro familiar le habló u orientó sobre temas de sexualidad"
label variable p6_12_5 "Amiga(o) o conocida(o) le habló u orientó sobre temas de sexualidad"
label variable p6_12_6 "Maestra(o) u orientador(a) escolar le habló u orientó sobre temas de sexualidad"
label variable p6_12_7 "Especialista de la salud (psicólogo, médico, enfermera) le habló u orientó sobre temas de sexualidad"
label variable p6_12_8 "Otra persona distinta a las anteriores le habló u orientó sobre temas de sexualidad"
label variable p6_12_9 "Nadie le habló u orientó le habló u orientó sobre temas de sexualidad"


label define label1 1 "Sí" 2 "No se declaró como opción afirmativa" 
label values p6_7_01 p6_7_02 p6_7_03 p6_7_04 p6_7_05 p6_7_06 p6_7_07 p6_7_08 p6_7_09 p6_7_10 p6_12_1 p6_12_2 p6_12_3 p6_12_4 p6_12_5 p6_12_6 p6_12_7 p6_12_8 p6_12_9 label1

label define label2 1 "Era muy buena" 2 "Era buena" 3 "Era regular" 4 "Era mala" 
label values p6_8_1 p6_8_2 p6_8_3 label2

label define label3 1 "Siempre" 2 "Algunas veces" 3 "Pocas veces" 4 "Nunca" 5 "No aplica"
label values p6_9a_1 p6_9b_1 p6_9c_1 p6_9d_1 p6_9a_2 p6_9b_2 p6_9c_2 p6_9d_2 p6_9a_3 p6_9b_3 p6_9c_3 p6_9d_3 label3

label define label4 1 "Sí" 2 "No" 
label values p6_10_1 p6_10_2 p6_10_3 p6_10_4 p6_11_1 p6_11_2 p6_11_3 p6_11_4 p6_11_5 label4 

save "${procdata}TAPART_B_label.dta", replace
