***********************************************
*Etiquetas variables
***********************************************
import delimited "${rawdata}TMODULO.csv", clear 

* Características Personales
label variable p4_1 "¿Cuántos años cumplidos tiene?"
label variable p4_2 "¿Actualmente, usted..."
label variable p4_3 "¿Su actual pareja vive con usted?"
label variable p4_3a "¿Quién es?"
label variable p4_4 "Por sus antepasados y de acuerdo con sus costumbres y tradiciones..."
label variable p4_5 "¿Se considera afromexicana(o), negra(o) o afrodescendiente..."
label variable p4_6 "¿Usted habla algún dialecto o lengua indígena?"
label variable p4_7 "Por sus costumbres y tradiciones, ¿usted se considera indígena?"
label variable p4_8 "¿Se considera indígena..."
label variable p4_9c "¿Cuál es su religión?"
label variable pd4_10_1 "En su vida diaria, ¿cuánta dificultad tiene para caminar, subir o bajar usando sus piernas?"
label variable pd4_10_2 "En su vida diaria, ¿cuánta dificultad tiene para ver (aunque use lentes)?"
label variable pd4_10_3 "En su vida diaria, ¿cuánta dificultad tiene para mover o usar brazos o manos?"
label variable pd4_10_4 "En su vida diaria, ¿cuánta dificultad tiene para aprender, recordar o concentrarse?"
label variable pd4_10_5 "En su vida diaria, ¿cuánta dificultad tiene para escuchar (aunque use aparato auditivo)?"
label variable pd4_10_6 "En su vida diaria, ¿cuánta dificultad tiene para bañarse, vestirse o comer?"
label variable pd4_10_7 "En su vida diaria, ¿cuánta dificultad tiene para hablar o comunicarse (por ejemplo, entender o ser entendido por otros)?"
label variable pd4_10_8 "En su vida diaria, ¿cuánta dificultad tiene para realizar sus actividades diarias por problemas emocionales o mentales..."
label variable p4_10 "Principal lugar de atención de salud"
label variable niv "Nivel de escolaridad"
label variable gra "Grado de escolaridad"
label variable filtro_4_12 "Filtro para personas de 29 años o menos"
label variable p4_12 "Asistencia a la escuela (inscripción)"
label variable p4_13 "Situación laboral la semana pasada"
label variable p4_14 "Actividades realizadas la semana pasada"
label variable p4_15 "Tipo de trabajo en la semana pasada"
label variable p4_17c "Oficio, puesto o cargo en el trabajo de la semana pasada"
label variable p4_18_1 "Recibió dinero de alguien en otro país el último mes"
label variable p4_18_2 "Recibió dinero de alguien en otra vivienda dentro del país el último mes"
label variable p4_18_3 "Recibió dinero de programas de gobierno el último mes"
label variable p4_18_4 "Recibió dinero por jubilación o pensión el último mes"
label variable p4_18_5 "Recibió dinero por otras fuentes diferentes al trabajo el último mes"
label variable p4_19 "Tono de piel similar (Escala cromática de A a K)"


* Preámbulo infancia (hasta los 11 años)
label variable p5_1 "(infancia) ¿Cuántas personas vivían en total en su vivienda contándose usted?"
label variable p5_2_1 "(infancia) Vivía con Mamá"
label variable p5_2_2 "(infancia) Vivía con Papá"
label variable p5_2_3 "(infancia) Vivía con Hermana(s) / Hermano(s)"
label variable p5_2_4 "(infancia) Vivía con Abuela / Abuelo"
label variable p5_2_5 "(infancia) Vivía con Tía(s) / Tío(s)"
label variable p5_2_6 "(infancia) Vivía con Prima(s) / Primo(s)"
label variable p5_2_7 "(infancia) Vivía con Otro(s) familiar(es)"
label variable p5_2_8 "(infancia) Vivía con Otro(s) no familiar(es)"
*le hicieron sentir diferente
label variable p5_3_1 "(infancia) diferente por su forma de vestirse o arreglarse?"
label variable p5_3_2 "(infancia) diferente por sus gustos o intereses?"
label variable p5_3_3 "(infancia) diferente por su forma de hablar o expresarse?"
label variable p5_3_4 "(infancia) diferente por sus modos o manera de comportarse?"
*por molestarle o hacerle sentir mal
label variable p5_4_1 "(infancia) le rechazaron o excluyeron de actividades sociales"
label variable p5_4_2 "(infancia) se burlaron o le dijeron cosas que le ofendían"
label variable p5_4_3 "(infancia) le robaron, escondieron o rompieron sus pertenencias"
label variable p5_4_4 "(infancia) le amenazaron o chantajearon"
label variable p5_4_5 "(infancia) le empujaron, jalonearon o golpearon"

*Sexualidad
label variable p7_1 "Sexo asignado al nacer"
label variable p7_1a "Nació con alguna variación en su cuerpo referente a su sexo, como en genitales, niveles hormonales u otro"
label variable p7_2 "Edad cuando sintió gusto o atracción física por primera vez por una persona"
label variable p7_3 "Edad cuando tuvo su primer encuentro con alguien donde haya habido besos o caricias, y que usted estuviera de acuerdo"
label variable p7_4_1 "Primer ecuentro con hombre"
label variable p7_4_2 "Primer ecuentro con mujer"
label variable p7_4_3 "Primer ecuentro con otro"
label variable p7_5 "Edad primera relación sexual"
label variable p7_6_1 "Primera relación sexual con hombre"
label variable p7_6_2 "Primera relación sexual con mujer"
label variable p7_6_3 "Primera relación sexual con otro"
label variable filtro_7_7 "Filtro_7_7"
label variable p7_7 "Ha sentido gusto o atracción por"
label variable filtro_7_8 "Filtro_7_8"
label variable p7_8 "Ha tenido relaciones sexuales con"
label variable p7_9 "Ha tenido relaciones sexuales (último año)"
label variable p7_10 "Cuantas parejas sexuales ha tenido (último año)"
label variable p7_11 "Durante sus relaciones sexuales utilizó condón o protector bucal (último año)"

*Orientación sexual
label variable p8_1 "Usted se considera"
label variable p8_1a "Usted considera que su orientación es"
label variable p8_1b "¿Cuál es su orientación?"
label variable p8_2 "¿A qué edad se dio cuenta de su orientación?"
label variable p8_3_1 "Mamá sabe OS"
label variable p8_3_2 "Papá sabe OS"
label variable p8_3_3 "Hermanas(os) sabe OS"
label variable p8_3_4 "Esposa(o), pareja sabe OS"
label variable p8_3_5 "Otro familiar sabe OS"
label variable p8_3_6 "Amiga(o) sabe OS"
label variable p8_3_7 "Un especialista de la salud (psicólogo, médico, enfermera) sabe OS"
label variable p8_3_8 "Otro no familiar sabe OS"
label variable p8_3_9 "Nadie sabe OS"
label variable p8_4_1 "Padres le aceptó, respetó o respaldó (OS)"
label variable p8_4_2 "Padres le obligó a asistir con un psicólogo, médico, autoridad religiosa u otra persona o institución con el fin de corregirle (OS)"
label variable p8_4_3 "Padres se molestó con usted, le agredió u ofendió, le dejó de hablar o corrió de su casa (OS)"
label variable p8_5 "¿Ha sufrido discriminación o menosprecio por su orientación? (último año)"

*Identidad de género
label variable p9_1 "Usted se considera"
label variable p9_2 "¿A qué edad se dio cuenta que su forma de ser o actuar no correspondía con su sexo de nacimiento?"
label variable p9_3 "¿Usted se muestra abiertamente?"
label variable p9_4_1 "Mamá sabe IG"
label variable p9_4_2 "Papá sabe IG"
label variable p9_4_3 "Hermanas(os) sabe IG"
label variable p9_4_4 "Esposa(o), pareja sabe IG"
label variable p9_4_5 "Otro familiar sabe IG"
label variable p9_4_6 "Amiga(o) sabe IG"
label variable p9_4_7 "Un especialista de la salud (psicólogo, médico, enfermera) sabe IG"
label variable p9_4_8 "Otro no familiar sabe IG"
label variable p9_4_9 "Nadie sabe IG"
label variable p9_5_1 "Padre aceptó, respetó o respaldó (IG)"
label variable p9_5_2 "Padres le obligó a asistir con un psicólogo, médico, autoridad religiosa u otra persona o institución con el fin de corregirle (IG)"
label variable p9_5_3 "Padres se molestó con usted, le agredió u ofendió, le dejó de hablar o corrió de su casa (IG)"
label variable p9_6 "¿A qué edad comenzó a cambiar su forma de ser o actuar como?"
label variable p9_7 "¿Usted ha usado implantes o se ha realizado alguna cirugía o tratamiento hormonal para transformar su cuerpo?"
label variable p9_8 "¿Sabía que existe la posibilidad de modificar documentos oficiales para el reconocimiento como hombre o mujer?"
label variable p9_9 "¿Ha sufrido discriminación o menosprecio por considerarse? (último año)"
label variable p9_10 "Debido a que su género es distinto a su sexo de nacimiento, ¿es usted transgénero o transexual?"
label variable p9_10a "¿Cuál es su género?"

* Salud emocional
label variable p10_1_1 "Ha tenido insomnio (último año)"
label variable p10_1_2 "Ha tenido estrés (último año)"
label variable p10_1_3 "Ha tenido depresión (último año)"
label variable p10_1_4 "Ha tenido pérdida o aumento de apetito o peso? (último año)"
label variable p10_1_5 "Ha tenido angustia, miedo o ansiedad (último año)"
label variable p10_2 "¿Alguna vez ha pensado en suicidarse?"
label variable p10_3 "¿Alguna vez intentó hacerlo?"
label variable filtro_10_4 "Filtro_10_4"
*Intentó suicidarse 
label variable p10_4_1 "Por problemas económicos"
label variable p10_4_2 "Por problemas familiares o de pareja"
label variable p10_4_3 "Por problemas de salud"
label variable p10_4_4 "Por problemas en la escuela"
label variable p10_4_5 "Por problemas en el trabajo"
label variable p10_4_6 "Por problemas debido a su orientación"
label variable p10_4_7 "Por problemas debido a su género"
label variable p10_4_8 "Por otro motivo"
*Debido a su orientación o a su género
label variable filtro_10_5 "Filtro_10_5"
label variable p10_5_1 "Ha buscado atención endocrinológica"
label variable p10_5_2 "Ha buscado atención psicológica"
label variable p10_5_3 "Ha buscado atención psiquiátrica"
label variable p10_5_4 "Ha buscado atención médica de otro tipo"
label variable p10_5_5 "Ha buscado atención de una organización en defensa de los derechos humanos"
label variable p10_5_6 "Ha buscado atención de otro tipo"
label variable p10_5_7 "Ha buscado atención de ningún tipo"
*El resultado de la atención fue
label variable p10_6_1 "Le sugirieron curar o cambiar su condición"
label variable p10_6_2 "Obtuvo información poco apropiada"
label variable p10_6_3 "Le brindaron la información o asesoría que buscaba"
label variable p10_6_4 "Le negaron el servicio"

*Experiencias de rechazo social
label variable p11_1_1 "Le han amenazado o atacado sexualmente"
label variable p11_2_1_1 "Quién o quiénes le han amenazado o atacado sexualmente"
label variable p11_2_1_2 "Quién o quiénes le han amenazado o atacado sexualmente" //se repite
label variable p11_2_1_3 "Quién o quiénes le han amenazado o atacado sexualmente" //se repite
label variable p11_1_2 "Le han molestado haciéndole propuestas para tener relaciones sexuales a cambio de un pago"
label variable p11_2_2_1 "Quién o quiénes le han molestado haciéndole propuestas para tener relaciones sexuales a cambio de un pago"
label variable p11_2_2_2 "Quién o quiénes le han molestado haciéndole propuestas para tener relaciones sexuales a cambio de un pago"
label variable p11_2_2_3 "Quién o quiénes le han molestado haciéndole propuestas para tener relaciones sexuales a cambio de un pago"
label variable p11_1_3 "Le han obligado a tener relaciones sexuales"
label variable p11_2_3_1 "Quién o quiénes le han obligado a tener relaciones sexuales"
label variable p11_2_3_2 "Quién o quiénes le han obligado a tener relaciones sexuales" 
label variable p11_2_3_3 "Quién o quiénes le han obligado a tener relaciones sexuales"
label variable p11_1_4 "Le han humillado, avergonzado o le han dicho groserías"
label variable p11_2_4_1 "Quién o quiénes le han humillado, avergonzado o le han dicho groserías"
label variable p11_2_4_2 "Quién o quiénes le han humillado, avergonzado o le han dicho groserías"
label variable p11_2_4_3 "Quién o quiénes le han humillado, avergonzado o le han dicho groserías"
label variable p11_1_5 "Le han enviado mensajes ofensivos"
label variable p11_2_5_1 "Quién o quiénes le han enviado mensajes ofensivos"
label variable p11_2_5_2 "Quién o quiénes le han enviado mensajes ofensivos"
label variable p11_2_5_3 "Quién o quiénes le han enviado mensajes ofensivos"
label variable p11_1_6 "Le han tocado o manoseado sin su consentimiento"
label variable p11_2_6_1 "Quién o quiénes le han enviado mensajes ofensivos"
label variable p11_2_6_2 "Quién o quiénes le han tocado o manoseado sin su consentimiento" 
label variable p11_2_6_3 "Quién o quiénes le han tocado o manoseado sin su consentimiento" 
label variable p11_3 "Trabajó por un salario, pago o ganancia (último año)"
label variable p11_4_1 "En el trabajo recibió comentarios ofensivos o burlas (último año)"
label variable p11_4_2 "En el trabajo le excluyeron de eventos o actividades sociales (último año)"
label variable p11_4_3 "En el trabajo le molestaron o acosaron (último año)"
label variable p11_4_4 "En el trabajo recibió un trato desigual respecto a los beneficios, prestaciones laborales o ascensos (último año)"
label variable p11_4_5 "En el trabajo le pegaron, agredieron o amenazaron (último año)"
label variable p11_5_1 "Le han negado injustificadamente la atención médica o medicamentos (últimos 5 años)"
label variable p11_5_2 "Le han negado injustificadamente la atención o servicios en alguna oficina de gobierno (últimos 5 años)"
label variable p11_5_3 "Le han negado injustificadamente la entrada o permanencia en algún negocio, centro comercial o banco (últimos 5 años)"
label variable p11_5_4 "Le han negado injustificadamente recibir apoyos de programas sociales (becas, PROSPERA, etcétera) (últimos 5 años)"
label variable p11_5_5 "Le han negado injustificadamente el acceso a baños públicos (últimos 5 años)"
label variable p11_5_6 "Le han negado injustificadamente el acceso a la educación o la permanencia en la escuela? (últimos 5 años)"
label variable p11_5_7 "Le han negado injustificadamente el empleo o la oportunidad de trabajar (últimos 5 años)"
label variable p11_5_8 "Le han negado injustificadamente algún crédito de vivienda, préstamo o tarjeta (últimos 5 años)"
label variable p11_6_01 "Discriminación por tono de piel (último año)" 
label variable p11_6_02 "Discriminación por manera de hablar (último año)"
label variable p11_6_03 "Discriminación por peso o estatura (último año)"
label variable p11_6_04 "Discriminación por forma de vestir o arreglo personal (tatuajes) (último año)"
label variable p11_6_05 "Discriminación por clase social (último año)"
label variable p11_6_06 "Discriminación por lugar donde vive (último año)"
label variable p11_6_07 "Discriminación por creencias religiosas (último año)"
label variable p11_6_08 "Discriminación por género (último año)"
label variable p11_6_09 "Discriminación por edad (último año)"
label variable p11_6_10 "Discriminación por otro motivo (último año)"
label variable p11_6_11 "Discriminación por preferencia sexual (último año)"
label variable p11_7 "Mostrar afecto en público"
*Usted no toma de la mano a su pareja o le muestra su afecto en público por 
label variable p11_8_1 "Miedo a agresión o violencia"
label variable p11_8_2 "Miedo a ser mal visto socialmente"
label variable p11_8_3 "Miedo a pena o vergüenza"
label variable p11_8_4 "Miedo a discriminación"
label variable p11_8_5 "Falta de costumbre"
label variable p11_8_6 "Otro motivo para no mostrar afecto en público"

*Opinion y apertura social
label variable p12_1_1 "Acuerdo con parejas del mismo sexo mostrando afecto en público"
label variable p12_1_2 "Acuerdo con parejas del mismo sexo (gays o lesbianas) contrayendo matrimonio civil"
label variable p12_1_3 "Acuerdo con parejas del mismo sexo (gays o lesbianas) adoptando niñas y/o niños"
label variable p12_2 "Respeto a los derechos de personas LGBT+ en el país"
label variable p12_3_1 "Escuchar hablar sobre derechos LGBT+ en la familia"
label variable p12_3_2 "Escuchar hablar sobre derechos LGBT+ en la escuela o trabajo"
label variable p12_3_3 "Escuchar hablar sobre derechos LGBT+ en la radio"
label variable p12_3_4 "Escuchar hablar sobre derechos LGBT+ en la televisión"
label variable p12_3_5 "Escuchar hablar sobre derechos LGBT+ en las redes sociales"
label variable p12_4_1 "Satisfacción con la situación económica"
label variable p12_4_2 "Satisfacción con la situación laboral"
label variable p12_4_3 "Satisfacción con la relación familiar"
label variable p12_4_4 "Satisfacción con la apariencia física"
label variable p12_4_5 "Satisfacción con la forma de ser"
label variable p12_4_6 "Satisfacción con la vida en general"
label variable p12_5_1 "Acuerdo con 'Lo que hago en mi vida vale la pena'"
label variable p12_5_2 "Acuerdo con 'Tengo un propósito o misión en la vida'"
label variable p12_5_3 "Acuerdo con 'Me siento bien conmigo misma(o)'"
label variable p12_5_4 "Acuerdo con 'Soy una persona afortunada'"
label variable p12_5_5 "Acuerdo con 'Soy libre de decidir mi propia vida'"
label variable p12_5_6 "Acuerdo con 'Me siento muy satisfecha(o) con mi vida'"
label variable p12_5_7 "Acuerdo con 'Hasta ahora, he conseguido las cosas que para mí son importantes'"
label variable p12_6_1 "Participación en grupo político"
label variable p12_6_2 "Participación en grupo religioso"
label variable p12_6_3 "Participación en grupo deportivo o cultural"
label variable p12_6_4 "Participación en grupo de ayuda comunitaria"
label variable p12_6_5 "Participación en grupo LGBT+"
label variable p12_6_6 "Participación en otro tipo de grupo"

***********************************************
*Etiquetas valores 
***********************************************

label define label1 1 "Sí" 2 "No" 9 "No sabe"
label values p4_3 p4_12 p8_4_1 p8_4_2 p8_4_3 p9_5_1 p9_5_2 p9_5_3 p4_4 p4_6 p4_18_1 p4_18_2 p4_18_3 p4_18_4 p4_18_5 p5_3_1 p5_3_2 p5_3_3 p5_3_4 p5_4_1 p5_4_2 p5_4_3 p5_4_4 p5_4_5 p10_1_1 p10_1_2 p10_1_3 p10_1_4 p10_1_5 p10_2 p10_3 p11_1_1 p11_1_2 p11_1_3 p11_1_4 p11_1_5 p11_1_6 p11_3 p4_7 p8_5 p12_1_1 p12_1_2 p12_1_3 label1


label define label2 1 "Sí" 2 "No se declaró como opción afirmativa" 9 "No especificado"
label values p5_2_1 p5_2_2 p5_2_3 p5_2_4 p5_2_5 p5_2_6 p5_2_7 p5_2_8 p7_4_1 p7_4_2 p7_4_3 p7_6_1 p7_6_2 p7_6_3 p8_3_1 p8_3_2 p8_3_3 p8_3_4 p8_3_5 p8_3_6 p8_3_7 p8_3_8 p8_3_9 p10_4_1 p10_4_2 p10_4_3 p10_4_4 p10_4_5 p10_4_6 p10_4_7 p10_4_8 p10_6_1 p10_6_2 p10_6_3 p10_6_4 p11_8_1 p11_8_2 p11_8_3 p11_8_4 p11_8_5 p11_8_6 p10_5_1 p10_5_2 p10_5_3 p10_5_4 p10_5_5 p10_5_6 p10_5_7 label2

label define label3 1 "Sí" 2 "No" 9 "No especificado"
label values p11_6_01 p11_6_02 p11_6_03 p11_6_04 p11_6_05 p11_6_06 p11_6_07 p11_6_08 p11_6_09 p11_6_10 p11_6_11 p12_6_1 p12_6_2 p12_6_3 p12_6_4 p12_6_5 p12_6_6 p9_3 p9_4_1 p9_4_2 p9_4_3 p9_4_4 p9_4_5 p9_4_6 p9_4_7 p9_4_8 p9_4_9 p9_7 p9_8 label3


label define label4 1 "Sí" 2 "No" 3 "No entiende la pregunta" 9 "No especificado"
label values p7_1a label4

label define label5 1 "Sí" 2 "No" 3 "No aplica" 9 "No sabe"
label values p11_4_1 p11_4_2 p11_4_3 p11_4_4 p11_4_5 p11_5_1 p11_5_2 p11_5_3 p11_5_4 p11_5_5 p11_5_6 p11_5_7 p11_5_8 p9_9 label5

label define escala1 1 "No tiene dificultad" 2 "Lo hace con poca dificultad" 3 "Lo hace con mucha dificultad" 4 "No puede hacerlo"
label values pd4_10_1 pd4_10_2 pd4_10_3 pd4_10_4 pd4_10_5 pd4_10_6 pd4_10_7 pd4_10_8 escala1

label define escala2 1 "Mucho" 2 "Algo" 3 "Poco" 4 "Nada" 9 "No sabe"
label values p12_2 escala2

label define escala3 1 "Mucho" 2 "Algo" 3 "Poco" 4 "Nada" 5 "No aplica" 9 "No especificado"
label values p12_3_1 p12_3_2 p12_3_3 p12_3_4 p12_3_5 p12_4_1 p12_4_2 p12_4_3 p12_4_4 p12_4_5 p12_4_6 p12_5_1 p12_5_2 p12_5_3 p12_5_4 p12_5_5 p12_5_6 p12_5_7 escala3

label define personas 1 "Papá" 2 "Mamá" 3 "Otro familiar" 4 "Autoridad escolar o laboral (patrón, jefe, director de escuela)" 5 "Compañera(o) de escuela o trabajo" 6 "Amiga(o), vecina(o) o conocida(o)" 7 "Personal de salud" 8 "Grupo, asociación o colectivo religioso, político o social" 9 "Policía, militar u otra autoridad de gobierno" 10 "Otra persona" 99 "No especificado" 
label values p11_2_1_1 p11_2_1_2 p11_2_1_3 p11_2_2_1 p11_2_2_2 p11_2_2_3 p11_2_3_1 p11_2_3_2 p11_2_3_3 p11_2_4_1 p11_2_4_2 p11_2_4_3 p11_2_5_1 p11_2_5_2 p11_2_5_3 p11_2_6_1 p11_2_6_2 p11_2_6_3 personas

label define P7_1_labels 1 "Hombre" 2 "Mujer"
label values p7_1 P7_1_labels

label define p7_2_label 0 "Nunca ha sentido atracción" 98 "No recuerda" 99 "No especificado"
label values p7_2 p7_2_label 

label define p7_3_label 0 "Nunca ha tenido un encuentro" 98 "No recuerda" 99 "No especificado"
label values p7_3 p7_3_label 

label define p7_5_label 0 "Nunca ha tenido relaciones sexuales" 98 "No recuerda" 99 "No especificado"
label values p7_5 p7_5_label 

label define p7_7 1 "casi siempre por mujeres y algunas ocasiones por hombres" 2 "por mujeres y hombres por igual" 3 "casi siempre por hombres y algunas ocasiones por mujeres" 4 "únicamente por hombres" 5 "únicamente por mujeres" 
label values p7_7 p7_7_label 


label define p4_1_label 98 "No especificado"
label values p4_1 p4_1_label

label define p4_2_label 1 "vive en unión libre" 2 "está casada(o)" 3 "está separada(o)" 4 "está divorsiada(o)" 5 "es viuda(o)" 6 "está soltera(o)"
label values p4_2 p4_2_label

label define P4_5_labels 1 "Pertenece a una comunidad afromexicana o afrodescendiente?" 2 "Sus antepasados familiares eran de algún país de África?" 3 "Sus rasgos físicos (tono de piel, pelo rizado)" 4 "Otro" 5 "Por ser Mexicano o tener padres mexicanos" 
label values p4_5 P4_5_labels

label define P4_8_labels 1 "Pertenece a una comunidad indígena" 2 "Su padre o madre hablan o hablaban lengua indígena" 3 "Su tono de piel" 4 "Es mexicana(o)" 5 "Otro"
label values p4_8 P4_8_labels

label define P4_10_labels 1 "el Seguro Popular o para una Nueva Generación (Siglo XXI) o Instituto de Salud para el Bienestar" 2 "el IMSS, ISSSTE, PEMEX, Ejército Nacional o Marina" 3 "un consultorio, clínica u hospital privado" 4 "un consultorio de farmacia" 5 "No se atiende" 6 "Otro"
label values p4_10 P4_10_labels

label define niv_labels 0	"Ninguno" 1 "Preescolar" 2 "Primaria" 3 "Secundaria" 4 "Normal básica" 5 "Carrera técnica con secundaria terminada" 6 "Preparatoria o bachillerato" 7 "Carrera técnica con preparatoria terminada" 8 "Licenciatura o profesional" 9 "Especialidad" 10 "Maestría o doctorado"
label values niv niv_labels

label define gra_labels 0 "Ninguno"
label values gra gra_labels

label define p4_13_labels 1 "trabajó (por lo menos una hora)" 2 "tenía trabajo, pero no trabajó" 3 "buscó trabajo" 4 "Es pensionada(o) o jubilada(o)" 5 "Es estudiante" 6 "Se dedica a los quehaceres de su hogar o al cuidado de sus miembros o integrantes" 7 "Tiene alguna limitación física o mental permanente que le impide trabajar" 8 "Estaba en otra situación diferente a las anteriores"
label values p4_13 p4_13_labels

label define p4_14_labels 1 "ayudó en un negocio (familiar o no familiar)" 2 "vendió o hizo algún producto para vender" 3 "ayudó en las labores del campo, o en la cría de animales" 4 "a cambio de un pago realizó otro tipo de actividad? (Por ejemplo: lavó o planchó ajeno, cuidó personas)" 5 "estuvo de aprendiz o haciendo su servicio social" 6 "No ayudó ni trabajó" 
label values p4_14 p4_14_labels

label define p4_15_labels 1 "empleada(o) u obrera(o)" 2 "jornalera(o) o peón(a)" 3 "ayudante con pago" 4 "patrón(a) o empleador(a)? (tiene trabajadores por un sueldo)" 5 "trabajador(a) por cuenta propia? (no tiene trabajadores por un sueldo)" 6 "trabajador(a) sin pago" 
label values p4_15 p4_15_labels

label define p4_19_labels 1 "Escala A" 2 "Escala B" 3 "Escala C" 4 "Escala D" 5 "Escala E" 6 "Escala F" 7 "Escala G" 8 "Escala H" 9 "Escala I" 10 "Escala J" 11 "Escala K" 99 "No especificado"
label values p4_19 p4_19_labels


label define P7_7_labels 1 "casi siempre por mujeres y algunas ocasiones por hombres" 2 "por mujeres y hombres por igual" 3 "casi siempre por hombres y algunas ocasiones por mujeres" 4 "únicamente por hombres" 5 "únicamente por mujeres" 6 "No tuvo relaciones sexuales"
label values p7_7 p7_8 p7_9 P7_7_labels

label define P7_10_labels 20 "20 o más parejas sexuales" 98 "No recuerda" 99 "No especificado"
label values p7_10 P7_10_labels

label define P7_11_labels 1 "Siempre" 2 "Algunas veces" 3 "Pocas veces" 4 "Nunca" 9 "No especificado"
label values p7_11 P7_11_labels

label define P8_1_labels 1 "una mujer a la que le gustan solamente las mujeres" 2 "un hombre al que le gustan solamente los hombres" 3 "una persona que le gustan tanto hombres como mujeres" 4 "una mujer que le gustan solamente los hombres" 5 "un hombre que le gustan solamente las mujeres" 6 "con otra orientación"
label values p8_1 P8_1_labels

label define P8_1A_labels 1 "Lesbiana" 2 "Gay u homosexual" 3 "Bisexual" 4 "Otra, por ejemplo: pansexual, asexual"
label values p8_1a P8_1A_labels

label define P8_2_labels 1 "Siempre lo supo" 98 "No recuerda"
label values p8_2 P8_2_labels

label define P9_1_labels 1 "Hombre" 2 "Mujer" 3 "Tanto hombre como mujer" 4 "Ni hombre, ni mujer" 5 "De otro género"
label values p9_1 P9_1_labels

label define P9_6_labels 0 "No ha comenzado su cambio" 98 "No recuerda" 99 "No especificado"
label values p9_6 P9_6_labels

label define P9_10_labels 1 "Transgénero o transexual" 2 "Queer, género fluido u otro"
label values p9_10 P9_10_labels

label define P11_7_labels 1 "Sí" 2 "No" 3 "No tiene novia(o) o pareja"
label values p11_7 P11_7_labels

save "${procdata}TMODULO_label.dta", replace