import delimited "${rawdata}TAPART_A.csv", clear 

*PREÁMBULO ADOLESCENCIA APARTADO A
*Desde los 12 años a la fecha, ¿quién o quiénes han estado al cuidado de ti? (Aunque no vivieran en la misma vivienda)
label variable p6_1_01 "Mamá ha estado al cuidado"
label variable p6_1_02 "Papá ha estado al cuidado"
label variable p6_1_03 "Abuela(s) ha estado al cuidado"
label variable p6_1_04 "Abuelo(s) ha estado al cuidado"
label variable p6_1_05 "Hermana(s) ha estado al cuidado"
label variable p6_1_06 "Hermano(s) ha estado al cuidado"
label variable p6_1_07 "Tía(s) ha estado al cuidado"
label variable p6_1_08 "Tío(s) ha estado al cuidado"
label variable p6_1_09 "Otro(s) ha estado al cuidado"
label variable p6_1_10 "Otro(s) ha estado al cuidado"
*desde los 12 años a la fecha
label variable p6_2_1 "(a la fecha) ¿la comunicación que mantenía con su mamá..."
label variable p6_3a_1 "Usted le platicaba o contaba a (su mamá) sobre asuntos de la escuela (materias, calificaciones, maestros, tareas)..."
label variable p6_3b_1 "Usted le platicaba o contaba a (su mamá) de sus amigas o amigos..."
label variable p6_3c_1 "Usted le platicaba o contaba a (su mamá) cuando tenía un problema..."
label variable p6_3d_1 "Usted le platicaba o contaba a (su mamá) de las personas que le gustaban o atraían..."

label variable p6_2_2 "(a la fecha) ¿la comunicación que mantenía con su papá..."
label variable p6_3a_2 "Usted le platicaba o contaba a (su papá) sobre asuntos de la escuela (materias, calificaciones, maestros, tareas)..."
label variable p6_3b_2 "Usted le platicaba o contaba a (su papá) de sus amigas o amigos..."
label variable p6_3c_2 "Usted le platicaba o contaba a (su papá) cuando tenía un problema..."
label variable p6_3d_2 "Usted le platicaba o contaba a (su papá) de las personas que le gustaban o atraían..."

label variable p6_2_3 "(a la fecha) ¿la comunicación que mantenía con su(s) (RESPUESTA DE 6.7)..."
label variable p6_3a_3 "Usted le platicaba o contaba a (su(s) RESPUESTA DE 6.7) sobre asuntos de la escuela (materias, calificaciones, maestros, tareas)..."
label variable p6_3b_3 "Usted le platicaba o contaba a (su(s) RESPUESTA DE 6.7) de sus amigas o amigos..."
label variable p6_3c_3 "Usted le platicaba o contaba a (su(s) RESPUESTA DE 6.7) cuando tenía un problema..."
label variable p6_3d_3 "Usted le platicaba o contaba a (su(s) RESPUESTA DE 6.7) de las personas que le gustaban o atraían..."

*¿alguna vez le hicieron sentirse diferente a la mayoría de las(os) chicas(os)...
label variable p6_4_1 "diferente por su forma de vestirse o arreglarse"
label variable p6_4_2 "diferente por sus gustos o intereses"
label variable p6_4_3 "diferente por su forma de hablar o expresarse"
label variable p6_4_4 "diferente por sus modos o manera de comportarse"

*por molestarla(o) o hacerle sentir mal
label variable p6_5_1 "le han rechazado o excluido de actividades sociales"
label variable p6_5_2 "se han burlado o le han dicho cosas que le ofendían"
label variable p6_5_3 "le han robado, escondido o roto sus pertenencias"
label variable p6_5_4 "le han amenazado o chantajeado"
label variable p6_5_5 "le han empujado, jaloneado o golpeado"

*De las siguientes personas, indique quién o quiénes le hablaron u orientaron sobre temas de sexualidad:
label variable p6_6_1 "Mamá le ha hablado u orientado sobre temas de sexualidad"
label variable p6_6_2 "Papá le ha hablado u orientado sobre temas de sexualidad"
label variable p6_6_3 "Hermana(s), hermano(s) le ha hablado u orientado sobre temas de sexualidad"
label variable p6_6_4 "Oro familiar le ha hablado u orientado sobre temas de sexualidad"
label variable p6_6_5 "Amiga(o) o conocida(o) le ha hablado u orientado sobre temas de sexualidad"
label variable p6_6_6 "Maestra(o) u orientador(a) escolar le ha hablado u orientado sobre temas de sexualidad"
label variable p6_6_7 "Especialista de la salud (psicólogo, médico, enfermera) le ha hablado u orientado sobre temas de sexualidad"
label variable p6_6_8 "Otra persona distinta a las anteriores le ha hablado u orientado sobre temas de sexualidad"
label variable p6_6_9 "Nadie le habló u orientó le ha hablado u orientado sobre temas de sexualidad"


label define label1 1 "Sí" 2 "No se declaró como opción afirmativa" 
label values p6_1_01 p6_1_02 p6_1_03 p6_1_04 p6_1_05 p6_1_06 p6_1_07 p6_1_08 p6_1_09 p6_1_10 p6_6_1 p6_6_2 p6_6_3 p6_6_4 p6_6_5 p6_6_6 p6_6_7 p6_6_8 p6_6_9 label1

label define label2 1 "Ha sido muy buena" 2 "Ha sido buena" 3 "H sido regular" 4 "Ha sido mala" 
label values p6_2_1 p6_2_2 p6_2_3 label2

label define label3 1 "Siempre" 2 "Algunas veces" 3 "Pocas veces" 4 "Nunca" 5 "No aplica"
label values p6_3a_1 p6_3b_1 p6_3c_1 p6_3d_1 p6_3a_2 p6_3b_2 p6_3c_2 p6_3d_2 p6_3a_3 p6_3b_3 p6_3c_3 p6_3d_3 label3

label define label4 1 "Sí" 2 "No" 
label values p6_4_1 p6_4_2 p6_4_3 p6_4_4 p6_5_1 p6_5_2 p6_5_3 p6_5_4 p6_5_5 label4 

save "${procdata}TAPART_A_label.dta", replace
