import delimited "${rawdata}TSDEM.csv", clear 

label variable paren "¿Qué es de la jefa o jefe?"
label variable sexo "Sexo"
label variable edad "Edad"
label variable p3_6_1 "¿En qué día nació?"
label variable p3_6_2 "¿En qué mes nació?"
label variable p3_6_3 "¿En qué día y mes nació? - CÓDIGO"

* Define las etiquetas para PAREN
label define paren_label 1 "Jefa o jefe" 2 "Esposa(o) o pareja" 3 "Hija(o)" 4 "Nieta(o)" 5 "Nuera o yerno" 6 "Madre o padre" 7 "Suegra(o)" 8 "Otro"
label values paren paren_label

* Define las etiquetas para SEXO
label define sexo_label 1 "Hombre" 2 "Mujer"
label values sexo sexo_label

* Define las etiquetas para EDAD
label define edad_label 0 "Menos de un año" 96 "96 o más años" 97 "Edad no especificada en personas de 14 años o menos" 98 "Edad no especificada en personas de 15 años o más" 99 "No sabe"
label values edad edad_label

* Define las etiquetas para P3_6_1 (DÍA)
label define p3_6_1_label  99 "No especificado"
label values p3_6_1 p3_6_1_label

* Define las etiquetas para P3_6_2 (MES)
label define p3_6_2_label 99 "No especificado" 
label values p3_6_2 p3_6_2_label

* Define las etiquetas para P3_6_3 (CÓDIGO)
label define p3_6_3_label 1 "Persona elegible" 2 "Persona no elegible" 
label values p3_6_3 p3_6_3_label

save "${procdata}TSDEM_label.dta", replace 
