import delimited "${rawdata}TVIVIENDA.csv", clear 

*Características de la vivienda
label variable p1_1 "¿De qué material es la mayor parte del piso de esta vivienda?"
label variable p1_2 "¿Cuántos cuartos se usan para dormir, sin contar pasillos?"
label variable p1_3 "¿Esta vivienda tiene..."
label variable p1_4 "¿Esta vivienda tiene drenaje o desagüe conectado a..."
label variable p1_5 "¿Esta vivienda tiene..."
label variable p1_6 "¿Hay luz eléctrica en esta vivienda?"
label variable p1_7_1 "¿En esta vivienda tienen refrigerador?"
label variable p1_7_2 "¿En esta vivienda tienen lavadora?"
label variable p1_7_3 "¿En esta vivienda tienen automóvil o camioneta?"
label variable p1_7_4 "¿En esta vivienda tienen pantalla plana (televisor digital, LCD o LED)?"
label variable p1_7_5 "¿En esta vivienda tienen computadora, laptop o tablet?"
label variable p1_7_6 "¿En esta vivienda tienen Internet?"
label variable p1_7_7 "¿En esta vivienda tienen servicio de películas, música o videos de paga como Netflix, Claro video, Blim, etcétera?"

*Identificación de hogares en la vivienda
label variable p2_1 "¿Cuántas personas viven normalmente en esta vivienda, contando a niñas y niños chiquitos, personas mayores o con discapacidad? Incluya también a los trabajadores domésticos y huéspedes que duermen aquí."
label variable p2_2 "¿Todas las personas que viven en esta vivienda comparten un mismo gasto para comer?"
label variable p2_3 "¿Cuántos hogares o grupos de personas tienen gasto separado para comer, contando el de usted?"


*label define
label define label1 1 "Tierra" 2 "Cemento o firme" 3 "Madera, mosaico u otro recubrimiento"
label values p1_1 label1

label define label2 1 "agua entubada dentro de la vivienda" 2 "agua entubada fuera de la vivienda, pero dentro del terreno" 3 "¿No tienen agua entubada en la vivienda?"
label values p1_3 label2

label define label3 1 "la red pública" 2 "una fosa séptica o tanque séptico (biodigestor)" 3 "una tubería que va a dar a una barranca o grieta" 4 "una tubería que va a dar a un río, lago o mar" 5 "No tiene drenaje"
label values p1_4 label3

label define label4 1 "taza de baño (excusado, sanitario)" 2 "letrina (pozo u hoyo)" 3 "¿No tiene taza de baño ni letrina"
label values p1_5 label4

label define label5 1 "Sí" 2 "No" 
label values p1_6 p1_7_1 p1_7_2 p1_7_3 p1_7_4 p1_7_5 p1_7_6 p1_7_7 p2_2 label5

save "${procdata}TVIVIENDA_label.dta", replace 

